| OpenMS 2.5.0

MapStatistics

Extract extended statistics on the features of a map for quality control.

pot. predecessor tools | MapStatistics | pot. successor tools
FeatureFinder, FeatureMatcher | -

This tool computes some basic statistics on the features of a map that are frequently used for quality control.

Information displayed includes:

- show information about the data range of a file (m/z, RT, intensity)
- show a statistical summary for intensities, qualities, feature widths
- break down the statistics for fractions of the map
- total ion current included in the features as a function of RT

The command line parameters of this tool are:

    MapStatistics -- Extract extended statistics on the features of a map for quality control.

    Full documentation: http://www.openms.de/documentation/TOPP_MapStatistics.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      MapStatistics <options>

    Options (mandatory options marked with '*'):

      -in <file>*        Input file (valid formats: 'featureXML', 'consensusXML')

      -in_type <type>    Input file type -- default: determined from file extension or content (valid: 'featureXM

                         L', 'consensusXML')

      -out <file>        Optional output txt file. If empty, the output is written to the command line. (valid

                         formats: 'txt')

      -n <n>             Report separate statistics for each of n RT slices of the map. (default: '4' min: '1'

                         max: '100')

      -m                 Show meta information about the whole experiment

      -p                 Shows data processing information

      -s                 Computes a summary statistics of intensities, qualities, and widths

    Common TOPP options:

      -ini <file>        Use the given TOPP INI file

      -threads <n>       Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>  Writes the default configuration file

      --help             Shows options

      --helphelp         Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+MapStatistics Extract extended statistics on the features of a map for quality control.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'MapStatistics'
in Input file input file*.featureXML,*.consensusXML
in_type Input file type -- default: determined from file extension or content featureXML,consensusXML
out Optional output txt file. If empty, the output is written to the command line.output file*.txt
n 4 Report separate statistics for each of n RT slices of the map.1:100
m false Show meta information about the whole experiment true,false
p false Shows data processing information true,false
s false Computes a summary statistics of intensities, qualities, and widths true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false